Skip to content
GAMPEONCreate
New project

Your open invites

GET
/v1/me/invites
curl --request GET \
--url https://api.gampeon.com/v1/me/invites \
--header 'Authorization: Bearer <token>'

Not available with access tokens.

Invites

Media typeapplication/json
object
invites
required
Array<object>
object
id
required
string
role
required
string
createdAt
required

Unix time in milliseconds

integer format: int64
expiresAt
required

Unix time in milliseconds

integer format: int64
studio
required
object
slug
required
string
name
required
string
invitedBy
required
object
handle
required

Unique handle

string
/^[a-z0-9_]{3,24}$/
displayName
required
string
avatar
One of:

Image path relative to the API (/v1/media/…). null without an image.

string

Example generated

{
"invites": [
{
"id": "example",
"role": "example",
"createdAt": 1,
"expiresAt": 1,
"studio": {
"slug": "example",
"name": "example"
},
"invitedBy": {
"handle": "example",
"displayName": "example",
"avatar": "example"
}
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback